Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228269 - luma computes invalid SMD5 hashes
Summary: luma computes invalid SMD5 hashes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: luma
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 11:30 UTC by Tomas Hoger
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-11 20:56:21 UTC


Attachments (Terms of Use)
SMD5 hash computation fix (deleted)
2007-02-12 11:30 UTC, Tomas Hoger
no flags Details | Diff

Description Tomas Hoger 2007-02-12 11:30:41 UTC
Description of problem:

luma computes invalid SMD5 hashes.


Version-Release number of selected component (if applicable):

luma-2.3-8.fc6


Additional info:

In /usr/share/luma/lib/base/utils/backend/mkpasswd.py, MD5 digest is only
computed from password, not password + salt.  Please consider applying attached
patch.

Note:  I've checked pre-release of new upstream version 2.4 and same patch seems
to be applied there.  Therefore, this patch should only be relevant for new
Fedora releases of 2.3.

Comment 1 Tomas Hoger 2007-02-12 11:30:41 UTC
Created attachment 147888 [details]
SMD5 hash computation fix

Comment 2 Jochen Schmitt 2007-03-11 20:56:21 UTC
I have integrate the patch. The new version should be available in the next days.


Note You need to log in before you can comment on or make changes to this bug.